YAFIC-SIGN(1)

NAME
yafic-sign, yafic-check -- Signature utilities for yafic(1)

SYNOPSIS
yafic-sign [-Vhp] [-c] keyfile file

yafic-check [-Vhp] keyfile file

DESCRIPTION
yafic-sign cryptographically signs file using the key keyfile. yafic-check (which is simply another name for yafic-sign -c) verifies a file against its signature.

keyfile is expected to be an RSA or DSA key. See openssl(1), genrsa(1), gendsa(1), and specifically:
    http://www.openssl.org/docs/HOWTO/keys.txt

Signature files have the same name as file, but with the extension .sig.

OPTIONS
The options are as follows:

-V  Display version information.

-h  Display help summary.

-p  Expect keyfile to be a public key rather than a private key.

-c  Instead of signing file, file is checked against its signature.

RETURN VALUES
Both yafic-sign and yafic-check exit with one of the following values:

0   file was successfully signed or verified

1   An error occurred.

2   There was a problem with the arguments given to yafic-sign or yafic-check.

3   The verification of file against its signature failed.

SEE ALSO
yafic(1), openssl(1), genrsa(1), gendsa(1)